Merge "Configure NSH_SFC Jenkins view"
[ci-management.git] / jjb / vpp / include-raw-vpp-maven-push.sh
index c3361b7..6ce3b2c 100644 (file)
@@ -1,23 +1,16 @@
 #!/bin/bash
-
-# Copyright 2015,2016 The Linux Foundation
-#           2015,2016 Cisco Systems
-
 set -xe -o pipefail
 echo "*******************************************************************"
 echo "* STARTING PUSH OF PACKAGES TO REPOS"
 echo "* NOTHING THAT HAPPENS BELOW THIS POINT IS RELATED TO BUILD FAILURE"
 echo "*******************************************************************"
 
-source ../scripts/maven_push_functions.sh
-
-# Determine the path to maven
-if [ -z "${MAVEN_SELECTOR}" ]; then
-    echo "ERROR: No Maven install detected!"
-    exit 1
-fi
+[ "$MVN" ] || MVN="/opt/apache/maven/bin/mvn"
+GROUP_ID="io.fd.${PROJECT}"
+BASEURL="${NEXUSPROXY}/content/repositories/fd.io."
+BASEREPOID='fdio-'
 
-if [ "${OS}" == "ubuntu1404" ]; then
+if [ "${OS}" == "ubuntu1604" ]; then
     # Find the files
     JARS=$(find . -type f -iname '*.jar')
     DEBS=$(find . -type f -iname '*.deb')
@@ -30,8 +23,15 @@ if [ "${OS}" == "ubuntu1404" ]; then
     do
         push_deb "$i"
     done
-elif [ "${OS}" == "ubuntu1604" ]; then
+elif [ "${OS}" == "ubuntu1804" ]; then
+    # Find the files
+    JARS=$(find . -type f -iname '*.jar')
     DEBS=$(find . -type f -iname '*.deb')
+    for i in $JARS
+    do
+        push_jar "$i"
+    done
+
     for i in $DEBS
     do
         push_deb "$i"
@@ -45,5 +45,12 @@ elif [ "${OS}" == "centos7" ]; then
     do
         push_rpm "$i"
     done
+elif [ "${OS}" == "opensuse" ]; then
+    # Find the files
+    RPMS=$(find . -type f -iname '*.rpm')
+    for i in $RPMS
+    do
+        push_rpm "$i"
+    done
 fi
 # vim: ts=4 sw=4 sts=4 et ft=sh :